Subject: [dhcwg] FW: A Simple Question with respect to relay

From: "Umesh Sirsiwal" <[email-masked]>
Date: Thu, 21 Mar 2002 14:17:49 -0500

I am working with following network scenario:
      
      DHCP Clients -----Relay 1  -----   Relay 2 ------- DHCP Server

The second relay is used because, Relay 1 is not accessible from DHCP
Server. Furthermore, Relay 1 does not implement subnet selection option.

We are wondering if there is a way to use this configuration. By default
DHCP Server will send response to giaddr which is Relay 1's IP address
and as noted Relay1 is not accessible from server.

We can not use subnet selection option starting at Relay 2, because
Relay2 does not have information with respect to subnet mask (actually
Relay2 handles multiple Relay1).  Can Relay2 add the subnet selection
option using giaddr without the subnet mask?

How should I configure this system? Or is replacing Relay2 with DHCP
Server only option?

-Umesh